package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import com.ygtx.gxt.handler.SafeDurationExcelHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 安全运行奖励对象 gxt_safe_operation_reward
 * 
 * @author ygtx
 * @date 2026-01-07
 */
@ApiModel(description = "安全运行奖励配置")
public class GxtSafeOperationReward extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /** 连续安全运行时长（天） */
    @Excel(name = "连续安全运行时长", handler = SafeDurationExcelHandler.class)
    @ApiModelProperty(value = "连续安全运行时长（天）")
    private Integer safeDuration;

    /** 维保工单奖励分值 */
    @Excel(name = "维保工单奖励分值")
    @ApiModelProperty(value = "维保工单奖励分值")
    private BigDecimal plannedMaintenanceScore;

    /** 维修工单奖励分值 */
    @Excel(name = "维修工单奖励分值")
    @ApiModelProperty(value = "维修工单奖励分值")
    private BigDecimal unplannedMaintenanceScore;

    /** 状态 */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /** 长时间停运扣分值 */
    @Excel(name = "长时间停运扣分值")
    @ApiModelProperty(value = "长时间停运扣分值")
    private BigDecimal downtimeScore;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    
    public void setSafeDuration(Integer safeDuration) 
    {
        this.safeDuration = safeDuration;
    }

    public Integer getSafeDuration() 
    {
        return safeDuration;
    }
    
    public void setPlannedMaintenanceScore(BigDecimal plannedMaintenanceScore) 
    {
        this.plannedMaintenanceScore = plannedMaintenanceScore;
    }

    public BigDecimal getPlannedMaintenanceScore() 
    {
        return plannedMaintenanceScore;
    }
    
    public void setUnplannedMaintenanceScore(BigDecimal unplannedMaintenanceScore) 
    {
        this.unplannedMaintenanceScore = unplannedMaintenanceScore;
    }

    public BigDecimal getUnplannedMaintenanceScore() 
    {
        return unplannedMaintenanceScore;
    }
    
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public void setDowntimeScore(BigDecimal downtimeScore)
    {
        this.downtimeScore = downtimeScore;
    }

    public BigDecimal getDowntimeScore()
    {
        return downtimeScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("safeDuration", getSafeDuration())
            .append("plannedMaintenanceScore", getPlannedMaintenanceScore())
            .append("unplannedMaintenanceScore", getUnplannedMaintenanceScore())
            .append("status", getStatus())
            .append("downtimeScore", getDowntimeScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}